Bug 832134 - Search query using "+" operator with system's description doesn't show the expected result
Search query using "+" operator with system's description doesn't show the ex...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 11:39 EDT by Sachin Ghai
Modified: 2014-01-27 08:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
description:(+rhel6+node) doesn't show anything in search result (49.73 KB, image/png)
2012-06-14 11:39 EDT, Sachin Ghai
no flags Details
description:rhel6* showing correct result from search widget (68.30 KB, image/png)
2012-06-14 11:41 EDT, Sachin Ghai
no flags Details
description:(+hidden+user) correctly showing search result (25.21 KB, image/png)
2012-06-14 11:47 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-06-14 11:39:47 EDT
Created attachment 591854 [details]
description:(+rhel6+node) doesn't show anything in search result

Description of problem:
Register two systems with name and description as below:
1 name:dhcp201-221.englab.pnq.redhat.com, description: rhel6 node registered
2.name:dhcp201-220.englab.pnq.redhat.com, description: rhel5 node registered

When I submit search query "description: (+rhel6+node); the result should include dhcp201-221.englab.pnq.redhat.com. but it doesn't show anything in result.

The same thing is working with roles. Search the roles by description and by using multiple description words:
Setup: Create two roles with following name and description

1. name:test description: role to test hidden user
2. name:Manager description: not a hidden user

Example: description: (+hidden+user); This gives both roles in result, which is expected. 



Version-Release number of selected component (if applicable):
1.0.z release puddle
katello-cli-common-0.1.108-1.el6_3.noarch
katello-glue-candlepin-0.1.313-1.el6_3.noarch
katello-0.1.313-1.el6_3.noarch
candlepin-0.6.5-1.el6_2.noarch
pulp-1.0.4-1.el6.noarch
katello-cli-0.1.108-1.el6_3.noarch


How reproducible:
always

Steps to Reproduce:
1. Create two systems as mentioned in defect description
2. search them with search query: description:(+rhel6+node)
3.
  
Actual results:
search query: description:(+rhel6+node) doesn't show anything in search result

Expected results:
search query should show the name of system whose description contains 'rhel6' and 'node' words.

Additional info:

Search using following description for first system is giving expected outcome.

 description:"rhel6 node registered"
 description:rhel6* 

Result: dhcp201-221.englab.pnq.redhat.com
Comment 1 Sachin Ghai 2012-06-14 11:41:01 EDT
Created attachment 591855 [details]
description:rhel6* showing correct result from search widget
Comment 2 Sachin Ghai 2012-06-14 11:47:43 EDT
Created attachment 591858 [details]
description:(+hidden+user) correctly showing search result
Comment 3 Justin Sherrill 2013-01-22 14:46:25 EST
If upgrading you will need to rake reindex to see any changes.

https://github.com/Katello/katello/pull/1435

cd6c363e7f3361037b2617ee303a86d2dff7c86b
Comment 4 Mike McCune 2013-08-16 13:53:54 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2013-09-19 14:13:34 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.